org.keycloak.models.cache.entities

## Class CachedApplication

- java.lang.Object
- - org.keycloak.models.cache.entities.CachedClient
  - - org.keycloak.models.cache.entities.CachedApplication

-     public class CachedApplication
      extends CachedClient

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.cache.entities.CachedClient

      `allowedClaimsMask, directGrantsOnly, enabled, fullScopeAllowed, id, name, notBefore, publicClient, realm, redirectUris, scope, secret, webOrigins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedApplication(RealmCache cache, RealmProvider delegate, RealmModel realm, ApplicationModel model)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseUrl()`
    `List<String>` | `getDefaultRoles()`
    `String` | `getManagementUrl()`
    `Map<String,String>` | `getRoles()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isSurrogateAuthRequired()`

    - ### Methods inherited from class org.keycloak.models.cache.entities.CachedClient

      `getAllowedClaimsMask, getId, getName, getNotBefore, getRealm, getRedirectUris, getScope, getSecret, getWebOrigins, isDirectGrantsOnly, isEnabled, isFullScopeAllowed, isPublicClient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CachedApplication

          public CachedApplication(RealmCache cache,
                           RealmProvider delegate,
                           RealmModel realm,
                           ApplicationModel model)

  - ### Method Detail

    - #### isSurrogateAuthRequired

          public boolean isSurrogateAuthRequired()

    - #### getManagementUrl

          public String getManagementUrl()

    - #### getBaseUrl

          public String getBaseUrl()

    - #### getDefaultRoles

          public List<String> getDefaultRoles()

    - #### isBearerOnly

          public boolean isBearerOnly()

    - #### getRoles

          public Map<String,String> getRoles()

Copyright © 2014. All Rights Reserved.